﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Mvc_Chart1.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public JsonResult NovoGrafico()
        {
            List<object> iDados = new List<object>();
            //Criando dados de exemplo
            DataTable dt = new DataTable();
            dt.Columns.Add("Vendas", System.Type.GetType("System.String"));
            dt.Columns.Add("Unidades", System.Type.GetType("System.Int32"));

            DataRow dr = dt.NewRow();
            dr["Vendas"] = "Chevrolet Onix";
            dr["Unidades"] = 171;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Vendas"] = "Huinday HB20";
            dr["Unidades"] = 96;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Vendas"] = "Ford Ka(Hatch)";
            dr["Unidades"] = 87;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Vendas"] = "WolksVagem Gol";
            dr["Unidades"] = 67;
            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Vendas"] = "Renaul Sandero";
            dr["Unidades"] = 63;
            dt.Rows.Add(dr);

            //Percorrendo e extraindo cada DataColumn para List<Object>
            foreach (DataColumn dc in dt.Columns)
            {
                List<object> x = new List<object>();
                x = (from DataRow drr in dt.Rows select drr[dc.ColumnName]).ToList();
                iDados.Add(x);
            }
            //Dados retornados no formato JSON
            return Json(iDados, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}